/* Search =======================================================================================================*/

.search {
    position: relative;
    width: 100%;
    max-width: 400px;
    display: -webkit-flex;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: flex-start;
    font-weight: 400;
}

.search input[type=text] {
    font-family: 'Montserrat', sans-serif;
    width: 100%;
    font-size: 14px;
    border: none;
    padding: 12px 50px 12px 20px;
    background: rgba(0, 0, 0, 0.1);
    border-radius: 23px;
}

.search input:focus {
    outline: 0;
}

.search .icon {
    position: absolute;
    width: 50px;
    height: 100%;
    display: -webkit-flex;
    display: flex;
    justify-content: center;
    align-items: center;
    right: 0;
    pointer-events: none;
}

.search .icon.close {
    cursor: pointer;
    pointer-events: all;
}

.search .icon img {
    content: url("../img/svg/search_icon.svg");
}

.search .icon.close img {
    content: url("../img/svg/close_icon.svg");
}

.search-result {
    display: none;
    position: absolute;
    width: 100%;
    top: 56px;
    border-radius: 10px;
    overflow: hidden;
    /*padding: 0 20px 0;*/
    background: white;
    /*background-clip: padding-box;*/
    box-shadow: 0px 3px 10px rgba(0, 0, 0, 0.4);
}

.search-result-el {
    width: 100%;
    padding: 12px 20px;
    /*border-bottom: 1px solid rgba(17, 17, 17, 0.2);*/
    cursor: pointer;
}

.search-result-el:hover {
    background: rgba(6, 3, 102, 0.05);
}

.search-result-h-line {
    height: 1px;
    background: rgba(17, 17, 17, 0.2);
    margin: -1px 18px;
}


.search-result-el .name {
    font-size: 14px;
    font-weight: 600;
    color: #111111;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.search-result-el .name .search-colored-part {
    color: #e26b00;
}

.search-result-el .date-and-place {
    white-space: nowrap;
    display: -webkit-flex;
    display: flex;
    font-size: 14px;
    font-weight: 500;
    color: rgba(17, 17, 17, 0.5);
}

.search-result-el .date-and-place p {
    overflow: hidden;
    text-overflow: ellipsis;
}

.search-result-el .date-and-place a {
    color: rgba(17, 17, 17, 0.5);
    pointer-events: none;
}

.search-result-el:last-child {
    border-bottom: none;
}

.search-colored-result {
    color: #2b8c50;
    font-weight: 800;
    text-decoration: underline;
}

@media all and (max-width: 580px) {
    .search-result {
        width: auto;
        left: -6px;
        right: -140px;
    }
}